/* [Parte a mostrar] */
// Elemento que desea mostrar en pantalla
Mostrar = "Pomo";    //[Pomo:Pomo, Casquillo:Casquillo]


/* [Parámetros del pomo] */
//Longitud total del pomo
Largo = 100;

//Diámetro del pomo
Diametro = 30;

//Grosor de las paredes del pomo
Grosor = 4; //[3:1:6]

//Altura de los salientes laterales
Lateral = 20;

//Diámetro del eje del joystick de la silla de ruedas
Eje = 6;    //[5:1:6]


//Base plana del pomo
module Basico() {
    intersection() {
        translate([0,-Diametro/2,0])
            cube([Largo,Diametro,Grosor]);

        translate([0,0,Diametro/2]) rotate([0,90,0])
            difference() {
                cylinder(Largo,d=Diametro,$fn=200);
                translate([0,0,-1])
                    cylinder(Largo+2,d=Diametro-Grosor*2,$fn=200);
        }
    }
}

module Pomo() {
//Cuerpo central del pomo 
difference() {
    union() {
        Basico();
    
        difference() {
            translate([0,0,Diametro/2-3]) rotate([0,90,0])
                difference() {
                    cylinder(Largo,d=Diametro,$fn=200);

                    translate([0,0,-1])
                        cylinder(Largo+2,d=Diametro-Grosor*2,$fn=200);
                }

            translate([-1,-Diametro/2,-Grosor])
                cube([Largo+2,Diametro,Grosor]);
        }
    }

    translate([Largo/2,0,-Grosor-1.5])
        cylinder(Diametro,d=12.1,$fn=200);
}

//Laterales
difference() {
    union() {
        minkowski() {
            translate([1,-Diametro/2+(Diametro-1)/2,Diametro/2-3])
                cube([Grosor-2,Diametro-(Diametro-1),Diametro+Lateral-(Diametro-1)]);
            rotate([0,90,0])
                cylinder(0.01,d=Diametro-4,$fn=200);
            sphere(1,$fn=40);
        }

        minkowski() {
            translate([Largo-Grosor+1,-Diametro/2+(Diametro-1)/2,Diametro/2-3])
                cube([Grosor-2,Diametro-(Diametro-1),Diametro+Lateral-(Diametro-1)]);
            rotate([0,90,0])
                cylinder(0.01,d=Diametro-4,$fn=200);
            sphere(1,$fn=40);
        }
    }

    translate([-1,-Diametro/2,-Grosor])
        cube([Largo+2,Diametro,Grosor]);
}
}

module Encaje() {
difference() {
  translate([Largo/2,0,0]) cylinder(d=12,h=Diametro-Grosor-1.5,$fn=200);
    translate([Largo/2,0,-0.5]) cylinder(d=Eje+0.2,h=Diametro,$fn=200);
}

}

if (Mostrar=="Pomo") {
Pomo();
}

if (Mostrar=="Casquillo") {
Encaje();
}

